Bug 484600 - Monodevelop cannot view files gives Division by zero
Monodevelop cannot view files gives Division by zero
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 16:31 EST by James Boulton
Modified: 2009-12-18 02:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:51:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Boulton 2009-02-08 16:31:09 EST
Description of problem:

Unhandled Exception.
System.DivideByZeroException: Division by zero
  at Mono.TextEditor.TextViewMargin.GetNextVisualTab (Int32 xPos) [0x00000] 
  at Mono.TextEditor.TextViewMargin+VisualLocationTranslator.ConsumeChunks () [0x00000] 
  at Mono.TextEditor.TextViewMargin+VisualLocationTranslator.VisualToDocumentLocation (Int32 xp, Int32 yp) [0x00000] 
  at Mono.TextEditor.TextViewMargin.VisualToDocumentLocation (Int32 xp, Int32 yp) [0x00000] 
  at Mono.TextEditor.TextViewMargin.MousePressed (Int32 button, Int32 x, Int32 y, EventType type, ModifierType modifierState) [0x00000] 
  at Mono.TextEditor.TextEditor.OnButtonPressEvent (Gdk.EventButton e) [0x00000] 
  at Gtk.Widget.buttonpressevent_cb (IntPtr widget, IntPtr evnt) [0x00000] 

Version-Release number of selected component (if applicable):
2.0 Alpha 1(1.9)


How reproducible:
Every time I try to open a file.
 
Additional info:
This version used to work on F10 for me. I updated mono* and monodevelop from rawhide. This gave the same error message (Divide by Zero). I reverted back to the F10 mono* and monodevelop version by uninstalling mono* and monodevelop and reinstalling from the F10 repo. It seems the bug followed me. As an aside I have a laptop where I successfully updated mono* and monodevelop to rawhide. This led see if wiping the .config/Monodevelop directory would help. No such luck.
Comment 1 Paul F. Johnson 2009-03-25 17:43:41 EDT
Hmm, no idea what is causing this as the version in rawhide is happy and the version being built for f10 is fine.

Which version of mono-tools and addins are you using?
Comment 2 sonnik 2009-04-07 05:01:59 EDT
I had this same issue.  It appears to be that the editor defaults to a font that is not available.

To Fix:  Once you get to the IDE... select Edit -> Options -> Text Editor -> General -> Change your Font from "Default Monospace" to something appropriate in the field next to the "Custom" radio button.

This is probably caused by some unique desktop customization.
Comment 3 Paul F. Johnson 2009-04-16 11:23:58 EDT
So I can pack this one off, can you test against the most up to date version of MD (in updates-testing) and see if it's still happening?
Comment 4 Bug Zapper 2009-11-18 04:49:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:51:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.